globalvar MOBAmedkit;
MOBAmedkit = object_add();
object_set_mask(MOBAmedkit, MineS);
object_event_add(MOBAmedkit, ev_create, 0, '
    speed = 5;
    alarm[0] = 300 / global.delta_factor;
    team = TEAM_RED;
    
    sprite_index = MOBAmedkitS;
    index = 0;
    bounced = false;
    depth = -1;
');

object_event_add(MOBAmedkit, ev_alarm, 0, '
    instance_destroy();
');

object_event_add(MOBAmedkit, ev_step, ev_step_begin, '      
    index += 0.3*global.delta_factor;
    if (index > 5) index -= 5;
    if(!variable_local_exists("firststep")) firststep = true;
    
    vspeed += 0.6 * global.delta_factor;
    if (speed < 0.65) speed = 0;
    
    if(!firststep && global.delta_factor != 1) {
        x += hspeed * global.delta_factor;
        y += vspeed * global.delta_factor;
        x -= hspeed;
        y -= vspeed;
    } else {
        firststep = false;
    }
    
    gunSetSolids();
    if (!place_free(x + hspeed, y + vspeed)) {
        if (place_free(x + hspeed, y)) {
            hspeed *= 0.7;
            vspeed *= -0.5;
        } else speed = 0;
        bounced = true;
    }
    gunUnsetSolids();
');

object_event_add(MOBAmedkit, ev_collision, Character, ' 
    if (other.player.team == team && other.hp < other.maxHp && bounced) {
        other.hp = min(other.maxHp, other.hp + other.maxHp*0.40);
        playsound(x,y,CbntHealSnd);
        instance_destroy();
    }
');
    
object_event_add(MOBAmedkit, ev_draw, 0, '
    draw_sprite_ext(sprite_index, floor(index), x, y, 1, 1, image_angle, c_white, 1);
');